# Appointments

Endpoints for booking, cancelling, and rescheduling appointments, including retrieving current appointment statuses and updated information.

 - [POST /v1/appointments](https://api-docs.zocdoc.com/apis/appointments/createappointment.md): This endpoint is used for creating new appointments. Developers should gather the necessary information to pass in the request body as inputs for this endpoint. Only timeslots retrieved from the /v1/p
 - [GET /v1/appointments](https://api-docs.zocdoc.com/apis/appointments/getappointments.md): This endpoint retrieves the paginated list of appointment details and statuses for the given credential. By default, appointments will be returned in descending order of start time. A maximum of 1,00
 - [GET /v1/appointments/{appointment_id}](https://api-docs.zocdoc.com/apis/appointments/getappointment.md): This endpoint retrieves updated appointment details and the status of a single existing appointment. Developers must send a valid `appointment_id` as input in the request body, and Zocdoc returns the
 - [GET /v1/appointments/{appointment_id}/participants](https://api-docs.zocdoc.com/apis/appointments/getappointmentparticipants.md): This endpoint retrieves the participants of an appointment. Developers must provide a valid `appointment_id` as a path parameter, and Zocdoc returns the participants of that appointment.
 - [POST /v1/appointments/cancel](https://api-docs.zocdoc.com/apis/appointments/cancelappointment.md): This endpoint is used to request the cancellation of an appointment in a non-cancelled status. (Non-cancelled statuses include: pending_booking, booking_failed, confirmed, pending_reschedule, reschedu
 - [POST /v1/appointments/confirm](https://api-docs.zocdoc.com/apis/appointments/confirmappointment.md): This endpoint is used to confirm an appointment in pending booking status. Developers must send a valid `appointment_id` as input in the request body.
 - [POST /v1/appointments/reschedule](https://api-docs.zocdoc.com/apis/appointments/rescheduleappointment.md): This endpoint is used to only modify the appointment time and request the reschedule of an appointment in pending_booking, confirmed, pending_reschedule, or rescheduled status. Developers must send a
 - [POST /v1/appointments/{appointment_id}/attachments](https://api-docs.zocdoc.com/apis/appointments/uploadappointmentattachment.md): This endpoint is used to upload attachment documents related to the appointment for the provider to view. You can upload more than one attachment with the same attachment_type for the same appointment
 - [PUT /v1/appointments/update-status](https://api-docs.zocdoc.com/apis/appointments/updateappointmentstatus.md): Use this endpoint to update the status of an appointment to either 'arrived' or 'no_show'. - `arrived`: Indicates the patient has arrived at the office. - `no_show`: Indicates the patient did not show
